"""=====================================================================
منطق زیربرنامه تولید کننده جمله Nام دنباله فیبوناتچی به صورت خودفراخوان
====================================================================="""

def fibo(n):
    if n == 1:
        return 1
    elif n == 2:
        return 1
    else:
        return fibo(n-1)+fibo(n-2)


n=int(input("Please enter number: "))
print(fibo(n))